%define snap	20041226

Summary:	Prepaid and Calling Card billing modules for Asterisk
Name:		asterisk-prepaid
Version:	0.3.2
Release:	%mkrel 0.%{snap}.6
License:	GPL
URL:		http://sourceforge.net/projects/asteriskbilling/
Group:		System/Servers
#Source0:	%{name}-%{version}.tar.bz2
Source0:	%{name}-%{version}-%{snap}.tar.bz2
Patch0:		asterisk-prepaid-0.3.2-20041226-mdk.diff
Patch1:		asterisk-prepaid-0.3.2-20041226-header_fixes.diff
BuildRequires:	asterisk-devel
BuildRequires:	postgresql-devel
Requires:	asterisk
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Prepaid and Calling Card billing modules for Asterisk

%prep

#%setup -q -n %{name}-%{version}
%setup -q -n %{name}-%{version}-%{snap}
%patch0 -p1
%patch1 -p1

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done
    
# fix dir perms
find . -type d | xargs chmod 755
    
# fix file perms
find . -type f | xargs chmod 644

# lib64 fix
find -name "Makefile" | xargs perl -pi -e "s|/usr/lib|%{_libdir}|g"

%build

%make -C apps \
    OPTIMIZE="%{optflags} -pipe -Wall -fPIC -DPIC -D_REENTRANT -D_GNU_SOURCE"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/asterisk
install -d %{buildroot}%{_libdir}/asterisk

install -m0644 conf/prepaid.conf %{buildroot}%{_sysconfdir}/asterisk/
install -m0644 conf/callingcard.conf %{buildroot}%{_sysconfdir}/asterisk/

install -m0755 apps/app_callingcard.so %{buildroot}%{_libdir}/asterisk/
install -m0755 apps/app_prepaid.so %{buildroot}%{_libdir}/asterisk/
install -m0755 apps/app_prepaid_auth_cid.so %{buildroot}%{_libdir}/asterisk/
install -m0755 apps/app_prepaid_auth_pin.so %{buildroot}%{_libdir}/asterisk/
install -m0755 apps/app_prepaid_rate.so %{buildroot}%{_libdir}/asterisk/
install -m0755 apps/app_prepaid_rateplan.so %{buildroot}%{_libdir}/asterisk/
install -m0755 apps/cdr_prepaid.so %{buildroot}%{_libdir}/asterisk/

# fix docs
cp apps/README README.apps
cp sounds/readme README.sounds

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc database README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/prepaid.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/callingcard.conf
%attr(0755,root,root) %{_libdir}/asterisk/app_callingcard.so
%attr(0755,root,root) %{_libdir}/asterisk/app_prepaid.so
%attr(0755,root,root) %{_libdir}/asterisk/app_prepaid_auth_cid.so
%attr(0755,root,root) %{_libdir}/asterisk/app_prepaid_auth_pin.so
%attr(0755,root,root) %{_libdir}/asterisk/app_prepaid_rate.so
%attr(0755,root,root) %{_libdir}/asterisk/app_prepaid_rateplan.so
%attr(0755,root,root) %{_libdir}/asterisk/cdr_prepaid.so

%changelog
* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-0.20041226.6mdk
- fix header order

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-0.20041226.5mdk
- rebuild

* Wed May 04 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-0.20041226.4mdk
- added fixes so that it compiles against asterisk HEAD

* Wed Apr 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-0.20041226.3mdk
- rebuilt against new postgresql libs

* Mon Mar 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3.2-0.20041226.2mdk
- use the %%mkrel macro

* Sun Dec 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3.2-0.20041226.1mdk
- use a recent snap (200411226)
- fix P0
- fix deps

* Mon Sep 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3.1-1mdk
- initial mandrake package
